Bug 13938 - Staging MARC records for import fails
Summary: Staging MARC records for import fails
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 8970
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-01 14:09 UTC by Kyle M Hall
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13938 - Staging MARC records for import fails (944 bytes, patch)
2015-04-01 14:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Signed Off patch for bug 13938 (984 bytes, patch)
2015-04-01 15:21 UTC, Cindy Murdock Ames
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13938 - Staging MARC records for import fails (1.04 KB, patch)
2015-04-01 15:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13938 - Staging MARC records for import fails (1.07 KB, patch)
2015-04-05 20:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-04-01 14:09:30 UTC
It appears that bug 8970 has introduced a bug where a MARC file uploaded for staging fails to import *unless* a matching rule is selected.
Comment 1 Kyle M Hall 2015-04-01 14:12:26 UTC Comment hidden (obsolete)
Comment 2 Cindy Murdock Ames 2015-04-01 15:21:42 UTC Comment hidden (obsolete)
Comment 3 Cindy Murdock Ames 2015-04-01 15:22:37 UTC
Applied patch and was able to upload records without having a matching rule selected.
Comment 4 Kyle M Hall 2015-04-01 15:49:29 UTC
I should note that I'm not seeing this bug on all 3.18.04 servers, but have seen it on couple. I cannot ascertain the exact circumstances that trigger the bug.
Comment 5 Kyle M Hall 2015-04-01 15:51:55 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-04-05 20:15:14 UTC
Created attachment 37508 [details] [review]
[PASSED QA] Bug 13938 - Staging MARC records for import fails

It appears that bug 8970 has introduced a bug where a MARC file uploaded
for staging fails to import *unless* a matching rule is selected.

Test Plan:
1) Apply this patch
2) Stage and import a MARC record *without* choosing a matching rule
3) Note the staging works as expected

Signed-off-by: Cindy Ames <cmurdock@ccfls.org>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Tomás Cohen Arazi 2015-04-08 13:58:36 UTC
Patch pushed to master.

Thanks Kyle!
Comment 8 Chris Cormack 2015-04-11 02:43:57 UTC
Pushed to 3.18.x will be in 3.18.6